## orthanc-dicomweb 0.3+dfsg

=== CMakeLists.txt ===
# Orthanc - A Lightweight, RESTful DICOM Store
# Copyright (C) 2012-2016 Sebastien Jodogne, Medical Physics
# Department, University Hospital of Liege, Belgium
#
# This program is free software: you can redistribute it and/or
# modify it under the terms of the GNU Affero General Public License
# as published by the Free Software Foundation, either version 3 of
# the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Affero General Public License for more details.
# 
# You should have received a copy of the GNU Affero General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.


cmake_minimum_required(VERSION 2.8)

project(OrthancDicomWeb)

set(ORTHANC_DICOM_WEB_VERSION "0.3")


# Parameters of the build
set(STATIC_BUILD OFF CACHE BOOL "Static build of the third-party libraries (necessary for Windows)")
set(ALLOW_DOWNLOADS OFF CACHE BOOL "Allow CMake to download packages")

# Advanced parameters to fine-tune linking against system libraries
set(USE_SYSTEM_BOOST ON CACHE BOOL "Use the system version of Boost")
set(USE_SYSTEM_GDCM ON CACHE BOOL "Use the system version of Grassroot DICOM (GDCM)")
set(USE_SYSTEM_GOOGLE_TEST ON CACHE BOOL "Use the system version of Google Test")
set(USE_SYSTEM_JSONCPP ON CACHE BOOL "Use the system version of JsonCpp")
set(USE_SYSTEM_ZLIB ON CACHE BOOL "Use the system version of zlib")
set(USE_SYSTEM_PUGIXML ON CACHE BOOL "Use the system version of Pugixml")
set(USE_SYSTEM_ORTHANC_SDK ON CACHE BOOL "Use the system version of the Orthanc plugin SDK")

# Distribution-specific settings
set(USE_GTEST_DEBIAN_SOURCE_PACKAGE OFF CACHE BOOL "Use the sources of Google Test shipped with libgtest-dev (Debian only)")
mark_as_advanced(USE_GTEST_DEBIAN_SOURCE_PACKAGE)

set(USE_PUGIXML ON)
set(ORTHANC_ROOT ${CMAKE_SOURCE_DIR}/Orthanc)
include(CheckIncludeFiles)
include(CheckIncludeFileCXX)
include(CheckLibraryExists)
include(FindPythonInterp)
include(${ORTHANC_ROOT}/Resources/CMake/Compiler.cmake)
include(${ORTHANC_ROOT}/Resources/CMake/DownloadPackage.cmake)

include(${ORTHANC_ROOT}/Resources/CMake/BoostConfiguration.cmake)
include(${ORTHANC_ROOT}/Resources/CMake/GoogleTestConfiguration.cmake)
include(${ORTHANC_ROOT}/Resources/CMake/JsonCppConfiguration.cmake)
include(${ORTHANC_ROOT}/Resources/CMake/ZlibConfiguration.cmake)
include(${ORTHANC_ROOT}/Resources/CMake/PugixmlConfiguration.cmake)

include(${CMAKE_SOURCE_DIR}/Resources/CMake/GdcmConfiguration.cmake)


if (STATIC_BUILD OR NOT USE_SYSTEM_ORTHANC_SDK)
  include_directories(${ORTHANC_ROOT}/Sdk-1.1.0)
else ()
  CHECK_INCLUDE_FILE_CXX(orthanc/OrthancCPlugin.h HAVE_ORTHANC_H)
  if (NOT HAVE_ORTHANC_H)
    message(FATAL_ERROR "Please install the headers of the Orthanc plugins SDK")
  endif()
endif()


if (${CMAKE_SYSTEM_NAME} STREQUAL "Linux" OR
    ${CMAKE_SYSTEM_NAME} STREQUAL "kFreeBSD" OR
    ${CMAKE_SYSTEM_NAME} STREQUAL "FreeBSD")
  link_libraries(rt)
elseif (${CMAKE_SYSTEM_NAME} STREQUAL "Windows")
  SET(CMAKE_CXX_STANDARD_LIBRARIES "${CMAKE_CXX_STANDARD_LIBRARIES} -lws2_32")

  execute_process(
    COMMAND 
    ${PYTHON_EXECUTABLE} ${ORTHANC_ROOT}/Resources/WindowsResources.py
    ${ORTHANC_DICOM_WEB_VERSION} "DICOMweb plugin" OrthancDicomWeb.dll
    "Plugin to extend Orthanc with the DICOMweb API"
    ERROR_VARIABLE Failure
    OUTPUT_FILE ${CMAKE_CURRENT_BINARY_DIR}/Version.rc
    )

  if (Failure)
    message(FATAL_ERROR "Error while computing the version information: ${Failure}")
  endif()

  list(APPEND AUTOGENERATED_SOURCES  ${CMAKE_CURRENT_BINARY_DIR}/Version.rc)
endif()


if (APPLE)
  SET(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -framework CoreFoundation")
  SET(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -framework CoreFoundation")
endif()


add_definitions(
  -DORTHANC_ENABLE_MD5=0
  -DORTHANC_ENABLE_BASE64=0
  -DORTHANC_ENABLE_LOGGING=0
  -DHAS_ORTHANC_EXCEPTION=1
  )

include_directories(${ORTHANC_ROOT}/Core)  # To access "OrthancException.h"

set(CORE_SOURCES
  ${BOOST_SOURCES}
  ${JSONCPP_SOURCES}
  ${ZLIB_SOURCES}
  ${PUGIXML_SOURCES}

  ${ORTHANC_ROOT}/Core/ChunkedBuffer.cpp
  ${ORTHANC_ROOT}/Core/Enumerations.cpp
  ${ORTHANC_ROOT}/Core/Toolbox.cpp
  ${ORTHANC_ROOT}/Core/WebServiceParameters.cpp
  ${ORTHANC_ROOT}/Plugins/Samples/Common/OrthancPluginCppWrapper.cpp

  Plugin/Configuration.cpp
  Plugin/Dicom.cpp
  Plugin/DicomResults.cpp
  )

add_library(OrthancDicomWeb SHARED ${CORE_SOURCES}
  ${CMAKE_SOURCE_DIR}/Plugin/DicomWebClient.cpp
  ${CMAKE_SOURCE_DIR}/Plugin/DicomWebServers.cpp
  ${CMAKE_SOURCE_DIR}/Plugin/Plugin.cpp
  ${CMAKE_SOURCE_DIR}/Plugin/QidoRs.cpp
  ${CMAKE_SOURCE_DIR}/Plugin/StowRs.cpp
  ${CMAKE_SOURCE_DIR}/Plugin/WadoRs.cpp
  ${CMAKE_SOURCE_DIR}/Plugin/WadoRsRetrieveFrames.cpp
  ${CMAKE_SOURCE_DIR}/Plugin/WadoUri.cpp
  ${AUTOGENERATED_SOURCES}
  )

target_link_libraries(OrthancDicomWeb ${GDCM_LIBRARIES})

message("Setting the version of the library to ${ORTHANC_DICOM_WEB_VERSION}")

add_definitions(-DORTHANC_DICOM_WEB_VERSION="${ORTHANC_DICOM_WEB_VERSION}")

set_target_properties(OrthancDicomWeb PROPERTIES 
  VERSION ${ORTHANC_DICOM_WEB_VERSION} 
  SOVERSION ${ORTHANC_DICOM_WEB_VERSION}
  )

install(
  TARGETS OrthancDicomWeb
  RUNTIME DESTINATION lib    # Destination for Windows
  LIBRARY DESTINATION share/orthanc/plugins    # Destination for Linux
  )

add_executable(UnitTests
  ${CORE_SOURCES}
  ${GTEST_SOURCES}
  ${CMAKE_SOURCE_DIR}/Plugin/DicomWebServers.cpp
  UnitTestsSources/UnitTestsMain.cpp
  )

target_link_libraries(UnitTests ${GDCM_LIBRARIES})

if (STATIC_BUILD OR NOT USE_SYSTEM_GDCM)
  add_dependencies(OrthancDicomWeb GDCM)
  add_dependencies(UnitTests GDCM)
endif()

=== debian/changelog ===
orthanc-dicomweb (0.3+dfsg-1) unstable; urgency=medium

  [ Sebastien Jodogne ]
  * New upstream version.

  [ Andreas Tille ]
  * cme fix dpkg-control

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Tue, 28 Jun 2016 16:07:32 +0200

orthanc-dicomweb (0.2+dfsg-1) unstable; urgency=medium

  [ Sebastien Jodogne ]
  * New upstream version.
  * Fix build with Orthanc >= 0.9.5. (Closes: #807394)

  [ Andreas Tille ]
  * Moved from SVN to Git

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Thu, 10 Dec 2015 14:34:10 +0100

orthanc-dicomweb (0.1+dfsg-1) unstable; urgency=medium

  * Initial release. (Closes: #794392)

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Mon, 03 Aug 2015 10:18:51 +0200

=== debian/control ===
Source: orthanc-dicomweb
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Sebastien Jodogne <s.jodogne@gmail.com>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: cmake,
               debhelper (>= 9),
               libboost-all-dev,
               libgdcm2-dev,
               libgtest-dev,
               libjpeg-dev,
               libjs-jquery,
               libjsoncpp-dev,
               libpng-dev,
               libpugixml-dev,
               orthanc-dev (>= 1.1.0),
               uuid-dev,
               zlib1g-dev
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/orthanc-dicomweb.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/orthanc-dicomweb.git
Homepage: http://www.orthanc-server.com/static.php?page=dicomweb

Package: orthanc-dicomweb
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         orthanc (>= 0.9.5)
Description: Plugin to extend Orthanc with support of WADO and DICOMweb
 Orthanc DICOMweb is a plugin to Orthanc, the lightweight, RESTful Vendor
 Neutral Archive for medical imaging. It extends the Orthanc core with
 support of the WADO (now known as WADO-URI) and DICOMweb (QIDO-RS,
 STOW-RS, WADO-RS) standards.

=== debian/rules ===
#!/usr/bin/make -f

export DEBIAN_VERSION := $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
export UPSTREAM_VERSION := $(shell echo "$(DEBIAN_VERSION)" | cut -d '+' -f 1)
export TARGET := libOrthancDicomWeb.so

export DEB_BUILD_MAINT_OPTIONS := hardening=+all

%:
	dh $@ --parallel --builddirectory=Build

CMAKE_EXTRA_FLAGS += \
	-DCMAKE_SKIP_RPATH:BOOL=ON \
	-DSTATIC_BUILD:BOOL=OFF \
	-DSTANDALONE_BUILD:BOOL=ON \
        -DUSE_GTEST_DEBIAN_SOURCE_PACKAGE:BOOL=ON \
	-DCMAKE_BUILD_TYPE=""   # The build type must be left empty, see #711515

override_dh_auto_configure:
        # Place back the jquery library from Debian
	cp /usr/share/javascript/jquery/jquery.min.js Resources/Samples/JavaScript/jquery.min.js

        # Launch the original CMake script
	dh_auto_configure -- $(CMAKE_EXTRA_FLAGS)

override_dh_auto_test:
	( cd Build; ./UnitTests )

override_dh_auto_install:
	cp Build/${TARGET} Build/${TARGET}.${UPSTREAM_VERSION}
	dh_install Build/${TARGET}.${UPSTREAM_VERSION} usr/lib

override_dh_link:
	dh_link usr/lib/${TARGET}.${UPSTREAM_VERSION} usr/share/orthanc/plugins/${TARGET}

override_dh_installchangelogs:
	dh_installchangelogs -k NEWS

get-orig-source:
	uscan --verbose --force-download --repack --compression xz

## orthanc-dicomweb 0.4+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,7 @@
 # Orthanc - A Lightweight, RESTful DICOM Store
 # Copyright (C) 2012-2016 Sebastien Jodogne, Medical Physics
 # Department, University Hospital of Liege, Belgium
+# Copyright (C) 2017 Osimis, Belgium
 #
 # This program is free software: you can redistribute it and/or
 # modify it under the terms of the GNU Affero General Public License
@@ -20,7 +21,7 @@
 
 project(OrthancDicomWeb)
 
-set(ORTHANC_DICOM_WEB_VERSION "0.3")
+set(ORTHANC_DICOM_WEB_VERSION "0.4")
 
 
 # Parameters of the build
@@ -42,6 +43,7 @@
 
 set(USE_PUGIXML ON)
 set(ORTHANC_ROOT ${CMAKE_SOURCE_DIR}/Orthanc)
+set(ORTHANC_DISABLE_PATCH ON)  # No need for the "patch" command-line tool
 include(CheckIncludeFiles)
 include(CheckIncludeFileCXX)
 include(CheckLibraryExists)
@@ -102,6 +104,7 @@
   -DORTHANC_ENABLE_MD5=0
   -DORTHANC_ENABLE_BASE64=0
   -DORTHANC_ENABLE_LOGGING=0
+  -DORTHANC_SANDBOXED=0
   -DHAS_ORTHANC_EXCEPTION=1
   )
 
@@ -116,6 +119,7 @@
   ${ORTHANC_ROOT}/Core/ChunkedBuffer.cpp
   ${ORTHANC_ROOT}/Core/Enumerations.cpp
   ${ORTHANC_ROOT}/Core/Toolbox.cpp
+  ${ORTHANC_ROOT}/Core/SystemToolbox.cpp
   ${ORTHANC_ROOT}/Core/WebServiceParameters.cpp
   ${ORTHANC_ROOT}/Plugins/Samples/Common/OrthancPluginCppWrapper.cpp

=== debian/changelog ===
orthanc-dicomweb (0.4+dfsg-1build1) bionic; urgency=medium

  * No-change rebuild for libicu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Oct 2017 16:41:17 +0000

orthanc-dicomweb (0.4+dfsg-1) unstable; urgency=medium

  * New upstream version.

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Thu, 20 Jul 2017 13:49:25 +0200

orthanc-dicomweb (0.3+dfsg-2) unstable; urgency=medium

  [ Tiago Sturmer Daitx <tiago.daitx@canonical.com> ]
  * Fix linking of libraries. Closes: #857424

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Fri, 17 Mar 2017 16:28:46 +0100

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                orthanc-dev (>= 1.1.0),
                uuid-dev,
                zlib1g-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/orthanc-dicomweb.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/orthanc-dicomweb.git
 Homepage: http://www.orthanc-server.com/static.php?page=dicomweb

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,8 @@
 #!/usr/bin/make -f
 
-export DEBIAN_VERSION := $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
-export UPSTREAM_VERSION := $(shell echo "$(DEBIAN_VERSION)" | cut -d '+' -f 1)
+include /usr/share/dpkg/pkg-info.mk
+
+export UPSTREAM_VERSION := $(shell echo "$(DEB_VERSION)" | cut -d '+' -f 1)
 export TARGET := libOrthancDicomWeb.so
 
 export DEB_BUILD_MAINT_OPTIONS := hardening=+all

=== debian/watch ===
version=3
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,downloadurlmangle=s/\/browse\.php\?path=//g,repack,compression=xz" \
http://www.orthanc-server.com/browse.php?path=/plugin-dicom-web downloads/get\.php\?path=/plugin-dicom-web/OrthancDicomWeb-(\d\S*)\.tar\.gz

## orthanc-dicomweb 0.5+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Orthanc - A Lightweight, RESTful DICOM Store
 # Copyright (C) 2012-2016 Sebastien Jodogne, Medical Physics
 # Department, University Hospital of Liege, Belgium
-# Copyright (C) 2017 Osimis, Belgium
+# Copyright (C) 2017-2018 Osimis S.A., Belgium
 #
 # This program is free software: you can redistribute it and/or
 # modify it under the terms of the GNU Affero General Public License
@@ -21,47 +21,50 @@
 
 project(OrthancDicomWeb)
 
-set(ORTHANC_DICOM_WEB_VERSION "0.4")
+set(ORTHANC_DICOM_WEB_VERSION "0.5")
+
+if (ORTHANC_DICOM_WEB_VERSION STREQUAL "mainline")
+  set(ORTHANC_FRAMEWORK_VERSION "mainline")
+  set(ORTHANC_FRAMEWORK_DEFAULT_SOURCE "hg")
+else()
+  set(ORTHANC_FRAMEWORK_VERSION "1.3.2")
+  set(ORTHANC_FRAMEWORK_DEFAULT_SOURCE "web")
+endif()
 
 
 # Parameters of the build
 set(STATIC_BUILD OFF CACHE BOOL "Static build of the third-party libraries (necessary for Windows)")
 set(ALLOW_DOWNLOADS OFF CACHE BOOL "Allow CMake to download packages")
+set(ORTHANC_FRAMEWORK_SOURCE "${ORTHANC_FRAMEWORK_DEFAULT_SOURCE}" CACHE STRING "Source of the Orthanc source code (can be \"hg\", \"archive\", \"web\" or \"path\")")
+set(ORTHANC_FRAMEWORK_ARCHIVE "" CACHE STRING "Path to the Orthanc archive, if ORTHANC_FRAMEWORK_SOURCE is \"archive\"")
+set(ORTHANC_FRAMEWORK_ROOT "" CACHE STRING "Path to the Orthanc source directory, if ORTHANC_FRAMEWORK_SOURCE is \"path\"")
 
 # Advanced parameters to fine-tune linking against system libraries
-set(USE_SYSTEM_BOOST ON CACHE BOOL "Use the system version of Boost")
 set(USE_SYSTEM_GDCM ON CACHE BOOL "Use the system version of Grassroot DICOM (GDCM)")
-set(USE_SYSTEM_GOOGLE_TEST ON CACHE BOOL "Use the system version of Google Test")
-set(USE_SYSTEM_JSONCPP ON CACHE BOOL "Use the system version of JsonCpp")
-set(USE_SYSTEM_ZLIB ON CACHE BOOL "Use the system version of zlib")
-set(USE_SYSTEM_PUGIXML ON CACHE BOOL "Use the system version of Pugixml")
 set(USE_SYSTEM_ORTHANC_SDK ON CACHE BOOL "Use the system version of the Orthanc plugin SDK")
 
-# Distribution-specific settings
-set(USE_GTEST_DEBIAN_SOURCE_PACKAGE OFF CACHE BOOL "Use the sources of Google Test shipped with libgtest-dev (Debian only)")
-mark_as_advanced(USE_GTEST_DEBIAN_SOURCE_PACKAGE)
 
-set(USE_PUGIXML ON)
-set(ORTHANC_ROOT ${CMAKE_SOURCE_DIR}/Orthanc)
-set(ORTHANC_DISABLE_PATCH ON)  # No need for the "patch" command-line tool
-include(CheckIncludeFiles)
-include(CheckIncludeFileCXX)
-include(CheckLibraryExists)
-include(FindPythonInterp)
-include(${ORTHANC_ROOT}/Resources/CMake/Compiler.cmake)
-include(${ORTHANC_ROOT}/Resources/CMake/DownloadPackage.cmake)
 
-include(${ORTHANC_ROOT}/Resources/CMake/BoostConfiguration.cmake)
-include(${ORTHANC_ROOT}/Resources/CMake/GoogleTestConfiguration.cmake)
-include(${ORTHANC_ROOT}/Resources/CMake/JsonCppConfiguration.cmake)
-include(${ORTHANC_ROOT}/Resources/CMake/ZlibConfiguration.cmake)
-include(${ORTHANC_ROOT}/Resources/CMake/PugixmlConfiguration.cmake)
+# Download and setup the Orthanc framework
+include(${CMAKE_SOURCE_DIR}/Resources/Orthanc/DownloadOrthancFramework.cmake)
+
+set(ORTHANC_FRAMEWORK_PLUGIN ON)
+include(${ORTHANC_ROOT}/Resources/CMake/OrthancFrameworkParameters.cmake)
+
+set(ENABLE_LOCALE ON)         # Enable support for locales (notably in Boost)
+set(ENABLE_GOOGLE_TEST ON)
+set(ENABLE_PUGIXML ON)
+set(USE_BOOST_ICONV ON)
+
+include(${ORTHANC_ROOT}/Resources/CMake/OrthancFrameworkConfiguration.cmake)
+include_directories(${ORTHANC_ROOT})
+
 
 include(${CMAKE_SOURCE_DIR}/Resources/CMake/GdcmConfiguration.cmake)
 
 
 if (STATIC_BUILD OR NOT USE_SYSTEM_ORTHANC_SDK)
-  include_directories(${ORTHANC_ROOT}/Sdk-1.1.0)
+  include_directories(${CMAKE_SOURCE_DIR}/Resources/Orthanc/Sdk-1.1.0)
 else ()
   CHECK_INCLUDE_FILE_CXX(orthanc/OrthancCPlugin.h HAVE_ORTHANC_H)
   if (NOT HAVE_ORTHANC_H)
@@ -100,32 +103,19 @@
 endif()
 
 
+include_directories(${ORTHANC_ROOT}/Core)  # To access "OrthancException.h"
+
 add_definitions(
-  -DORTHANC_ENABLE_MD5=0
-  -DORTHANC_ENABLE_BASE64=0
-  -DORTHANC_ENABLE_LOGGING=0
-  -DORTHANC_SANDBOXED=0
   -DHAS_ORTHANC_EXCEPTION=1
   )
 
-include_directories(${ORTHANC_ROOT}/Core)  # To access "OrthancException.h"
-
 set(CORE_SOURCES
-  ${BOOST_SOURCES}
-  ${JSONCPP_SOURCES}
-  ${ZLIB_SOURCES}
-  ${PUGIXML_SOURCES}
-
-  ${ORTHANC_ROOT}/Core/ChunkedBuffer.cpp
-  ${ORTHANC_ROOT}/Core/Enumerations.cpp
-  ${ORTHANC_ROOT}/Core/Toolbox.cpp
-  ${ORTHANC_ROOT}/Core/SystemToolbox.cpp
-  ${ORTHANC_ROOT}/Core/WebServiceParameters.cpp
-  ${ORTHANC_ROOT}/Plugins/Samples/Common/OrthancPluginCppWrapper.cpp
-
   Plugin/Configuration.cpp
   Plugin/Dicom.cpp
   Plugin/DicomResults.cpp
+
+  ${ORTHANC_ROOT}/Plugins/Samples/Common/OrthancPluginCppWrapper.cpp
+  ${ORTHANC_CORE_SOURCES}
   )
 
 add_library(OrthancDicomWeb SHARED ${CORE_SOURCES}
@@ -159,12 +149,15 @@
 
 add_executable(UnitTests
   ${CORE_SOURCES}
-  ${GTEST_SOURCES}
+  ${GOOGLE_TEST_SOURCES}
   ${CMAKE_SOURCE_DIR}/Plugin/DicomWebServers.cpp
   UnitTestsSources/UnitTestsMain.cpp
   )
 
-target_link_libraries(UnitTests ${GDCM_LIBRARIES})
+target_link_libraries(UnitTests
+  ${GDCM_LIBRARIES}
+  ${GOOGLE_TEST_LIBRARIES}
+  )
 
 if (STATIC_BUILD OR NOT USE_SYSTEM_GDCM)
   add_dependencies(OrthancDicomWeb GDCM)

=== debian/changelog ===
orthanc-dicomweb (0.5+dfsg-3) unstable; urgency=medium

  * Updated d/upstream/metadata with new reference paper about Orthanc
  * Moved plugin binaries from "/usr/lib" to "/usr/lib/orthanc"

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Mon, 28 Jan 2019 14:55:50 +0100

orthanc-dicomweb (0.5+dfsg-2) unstable; urgency=medium

  * Set -DCMAKE_BUILD_TYPE=None
  * Set -DNDEBUG to disable assertion checking

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Fri, 27 Apr 2018 14:05:31 +0200

orthanc-dicomweb (0.5+dfsg-1) unstable; urgency=medium

  * New upstream version.

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Thu, 19 Apr 2018 19:38:36 +0200

=== debian/control ===
--- 
+++ 
@@ -15,18 +15,19 @@
                libpng-dev,
                libpugixml-dev,
                orthanc-dev (>= 1.1.0),
+               unzip,
                uuid-dev,
                zlib1g-dev
-Standards-Version: 4.0.0
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/orthanc-dicomweb.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/orthanc-dicomweb.git
-Homepage: http://www.orthanc-server.com/static.php?page=dicomweb
+Standards-Version: 4.3.0
+Vcs-Browser: https://salsa.debian.org/med-team/orthanc-dicomweb
+Vcs-Git: https://salsa.debian.org/med-team/orthanc-dicomweb.git
+Homepage: https://www.orthanc-server.com/static.php?page=dicomweb
 
 Package: orthanc-dicomweb
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         orthanc (>= 0.9.5)
+         orthanc (>= 1.1.0)
 Description: Plugin to extend Orthanc with support of WADO and DICOMweb
  Orthanc DICOMweb is a plugin to Orthanc, the lightweight, RESTful Vendor
  Neutral Archive for medical imaging. It extends the Orthanc core with

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export UPSTREAM_VERSION := $(shell echo "$(DEB_VERSION)" | cut -d '+' -f 1)
export TARGET := libOrthancDicomWeb.so

export DEB_BUILD_MAINT_OPTIONS := hardening=+all

# Disable assert() checking from upstream project, for best performance
# https://lists.debian.org/debian-med/2018/04/msg00132.html
export DEB_CFLAGS_MAINT_APPEND=-DNDEBUG
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ --parallel --builddirectory=Build

CMAKE_EXTRA_FLAGS += \
	-DCMAKE_SKIP_RPATH:BOOL=ON \
	-DSTATIC_BUILD:BOOL=OFF \
        -DUSE_GOOGLE_TEST_DEBIAN_PACKAGE:BOOL=ON \
        -DCMAKE_BUILD_TYPE=None  # The build type must be set to None, see #711515

override_dh_auto_configure:
        # Put 3rd party packages where the cmake build system expects them
	mkdir -p ThirdPartyDownloads
	( cd ThirdPartyDownloads; cp ../debian/ThirdPartyDownloads/Orthanc-1.3.2.tar.gz . )

        # Place back the jquery library from Debian
	cp /usr/share/javascript/jquery/jquery.min.js Resources/Samples/JavaScript/jquery.min.js

        # Launch the original CMake script
	dh_auto_configure -- $(CMAKE_EXTRA_FLAGS)

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	( cd Build; ./UnitTests )
endif

override_dh_clean:
	rm -rf ThirdPartyDownloads
	dh_clean

override_dh_auto_install:
	dh_install Build/${TARGET}.${UPSTREAM_VERSION} usr/lib/orthanc

override_dh_link:
	dh_link usr/lib/orthanc/${TARGET}.${UPSTREAM_VERSION} usr/share/orthanc/plugins/${TARGET}

override_dh_installchangelogs:
	dh_installchangelogs -k NEWS

## orthanc-dicomweb 0.6+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Orthanc - A Lightweight, RESTful DICOM Store
 # Copyright (C) 2012-2016 Sebastien Jodogne, Medical Physics
 # Department, University Hospital of Liege, Belgium
-# Copyright (C) 2017-2018 Osimis S.A., Belgium
+# Copyright (C) 2017-2019 Osimis S.A., Belgium
 #
 # This program is free software: you can redistribute it and/or
 # modify it under the terms of the GNU Affero General Public License
@@ -21,13 +21,13 @@
 
 project(OrthancDicomWeb)
 
-set(ORTHANC_DICOM_WEB_VERSION "0.5")
+set(ORTHANC_DICOM_WEB_VERSION "0.6")
 
 if (ORTHANC_DICOM_WEB_VERSION STREQUAL "mainline")
   set(ORTHANC_FRAMEWORK_VERSION "mainline")
   set(ORTHANC_FRAMEWORK_DEFAULT_SOURCE "hg")
 else()
-  set(ORTHANC_FRAMEWORK_VERSION "1.3.2")
+  set(ORTHANC_FRAMEWORK_VERSION "1.5.5")
   set(ORTHANC_FRAMEWORK_DEFAULT_SOURCE "web")
 endif()
 
@@ -42,6 +42,7 @@
 # Advanced parameters to fine-tune linking against system libraries
 set(USE_SYSTEM_GDCM ON CACHE BOOL "Use the system version of Grassroot DICOM (GDCM)")
 set(USE_SYSTEM_ORTHANC_SDK ON CACHE BOOL "Use the system version of the Orthanc plugin SDK")
+set(ORTHANC_SDK_VERSION "1.5.4" CACHE STRING "Version of the Orthanc plugin SDK to use, if not using the system version (can be \"1.5.4\", or \"framework\")")
 
 
 
@@ -64,7 +65,13 @@
 
 
 if (STATIC_BUILD OR NOT USE_SYSTEM_ORTHANC_SDK)
-  include_directories(${CMAKE_SOURCE_DIR}/Resources/Orthanc/Sdk-1.1.0)
+  if (ORTHANC_SDK_VERSION STREQUAL "1.5.4")
+    include_directories(${CMAKE_SOURCE_DIR}/Resources/Orthanc/Sdk-1.5.4)
+  elseif (ORTHANC_SDK_VERSION STREQUAL "framework")
+    include_directories(${ORTHANC_ROOT}/Plugins/Include)
+  else()
+    message(FATAL_ERROR "Unsupported version of the Orthanc plugin SDK: ${ORTHANC_SDK_VERSION}")
+  endif()
 else ()
   CHECK_INCLUDE_FILE_CXX(orthanc/OrthancCPlugin.h HAVE_ORTHANC_H)
   if (NOT HAVE_ORTHANC_H)
@@ -107,12 +114,12 @@
 
 add_definitions(
   -DHAS_ORTHANC_EXCEPTION=1
+  -DORTHANC_ENABLE_LOGGING_PLUGIN=1
   )
 
 set(CORE_SOURCES
   Plugin/Configuration.cpp
-  Plugin/Dicom.cpp
-  Plugin/DicomResults.cpp
+  Plugin/GdcmParsedDicomFile.cpp
 
   ${ORTHANC_ROOT}/Plugins/Samples/Common/OrthancPluginCppWrapper.cpp
   ${ORTHANC_CORE_SOURCES}
@@ -120,6 +127,7 @@
 
 add_library(OrthancDicomWeb SHARED ${CORE_SOURCES}
   ${CMAKE_SOURCE_DIR}/Plugin/DicomWebClient.cpp
+  ${CMAKE_SOURCE_DIR}/Plugin/DicomWebFormatter.cpp
   ${CMAKE_SOURCE_DIR}/Plugin/DicomWebServers.cpp
   ${CMAKE_SOURCE_DIR}/Plugin/Plugin.cpp
   ${CMAKE_SOURCE_DIR}/Plugin/QidoRs.cpp

=== debian/changelog ===
orthanc-dicomweb (0.6+dfsg-1) unstable; urgency=medium

  * New upstream version.

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Wed, 27 Feb 2019 20:45:00 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                unzip,
                uuid-dev,
                zlib1g-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.3.0.2
 Vcs-Browser: https://salsa.debian.org/med-team/orthanc-dicomweb
 Vcs-Git: https://salsa.debian.org/med-team/orthanc-dicomweb.git
 Homepage: https://www.orthanc-server.com/static.php?page=dicomweb

=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,7 @@
 override_dh_auto_configure:
         # Put 3rd party packages where the cmake build system expects them
 	mkdir -p ThirdPartyDownloads
-	( cd ThirdPartyDownloads; cp ../debian/ThirdPartyDownloads/Orthanc-1.3.2.tar.gz . )
+	( cd ThirdPartyDownloads; cp ../debian/ThirdPartyDownloads/Orthanc-1.5.5.tar.gz . )
 
         # Place back the jquery library from Debian
 	cp /usr/share/javascript/jquery/jquery.min.js Resources/Samples/JavaScript/jquery.min.js

## orthanc-dicomweb 1.0+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -21,13 +21,13 @@
 
 project(OrthancDicomWeb)
 
-set(ORTHANC_DICOM_WEB_VERSION "0.6")
+set(ORTHANC_DICOM_WEB_VERSION "1.0")
 
 if (ORTHANC_DICOM_WEB_VERSION STREQUAL "mainline")
   set(ORTHANC_FRAMEWORK_VERSION "mainline")
   set(ORTHANC_FRAMEWORK_DEFAULT_SOURCE "hg")
 else()
-  set(ORTHANC_FRAMEWORK_VERSION "1.5.5")
+  set(ORTHANC_FRAMEWORK_VERSION "1.5.7")
   set(ORTHANC_FRAMEWORK_DEFAULT_SOURCE "web")
 endif()
 
@@ -42,7 +42,11 @@
 # Advanced parameters to fine-tune linking against system libraries
 set(USE_SYSTEM_GDCM ON CACHE BOOL "Use the system version of Grassroot DICOM (GDCM)")
 set(USE_SYSTEM_ORTHANC_SDK ON CACHE BOOL "Use the system version of the Orthanc plugin SDK")
-set(ORTHANC_SDK_VERSION "1.5.4" CACHE STRING "Version of the Orthanc plugin SDK to use, if not using the system version (can be \"1.5.4\", or \"framework\")")
+set(ORTHANC_SDK_VERSION "1.5.7" CACHE STRING "Version of the Orthanc plugin SDK to use, if not using the system version (can be \"1.5.4\", \"1.5.7\", or \"framework\")")
+
+
+set(BUILD_BOOTSTRAP_VUE OFF CACHE BOOL "Compile Bootstrap-Vue from sources")
+set(BUILD_BABEL_POLYFILL OFF CACHE BOOL "Retrieve babel-polyfill from npm")
 
 
 
@@ -60,13 +64,15 @@
 include(${ORTHANC_ROOT}/Resources/CMake/OrthancFrameworkConfiguration.cmake)
 include_directories(${ORTHANC_ROOT})
 
-
 include(${CMAKE_SOURCE_DIR}/Resources/CMake/GdcmConfiguration.cmake)
+include(${CMAKE_SOURCE_DIR}/Resources/CMake/JavaScriptLibraries.cmake)
 
 
 if (STATIC_BUILD OR NOT USE_SYSTEM_ORTHANC_SDK)
   if (ORTHANC_SDK_VERSION STREQUAL "1.5.4")
     include_directories(${CMAKE_SOURCE_DIR}/Resources/Orthanc/Sdk-1.5.4)
+  elseif (ORTHANC_SDK_VERSION STREQUAL "1.5.7")
+    include_directories(${CMAKE_SOURCE_DIR}/Resources/Orthanc/Sdk-1.5.7)
   elseif (ORTHANC_SDK_VERSION STREQUAL "framework")
     include_directories(${ORTHANC_ROOT}/Plugins/Include)
   else()
@@ -110,11 +116,30 @@
 endif()
 
 
+
+if (STANDALONE_BUILD)
+  add_definitions(-DORTHANC_STANDALONE=1)
+  set(ADDITIONAL_RESOURCES
+    ORTHANC_EXPLORER  ${CMAKE_SOURCE_DIR}/Plugin/OrthancExplorer.js
+    WEB_APPLICATION   ${CMAKE_SOURCE_DIR}/WebApplication/
+    )
+else()
+  add_definitions(-DORTHANC_STANDALONE=0)
+endif()
+
+EmbedResources(
+  --no-upcase-check
+  ${ADDITIONAL_RESOURCES}
+  JAVASCRIPT_LIBS   ${JAVASCRIPT_LIBS_DIR}
+  )
+
+
 include_directories(${ORTHANC_ROOT}/Core)  # To access "OrthancException.h"
 
 add_definitions(
   -DHAS_ORTHANC_EXCEPTION=1
   -DORTHANC_ENABLE_LOGGING_PLUGIN=1
+  -DDICOMWEB_CLIENT_PATH="${CMAKE_SOURCE_DIR}/WebApplication/"
   )
 
 set(CORE_SOURCES

=== debian/changelog ===
orthanc-dicomweb (1.0+dfsg-2ubuntu10) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Mar 2020 08:55:03 +0100

orthanc-dicomweb (1.0+dfsg-2ubuntu9) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Mar 2020 21:22:25 +0100

orthanc-dicomweb (1.0+dfsg-2ubuntu8) focal; urgency=medium

  * No-change rebuild against libboost-regex1.71.0-icu65

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 13 Feb 2020 19:03:26 +0000

orthanc-dicomweb (1.0+dfsg-2ubuntu7) focal; urgency=medium

  * Allow unauthenticated.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 05 Feb 2020 02:34:44 +0000

orthanc-dicomweb (1.0+dfsg-2ubuntu6) focal; urgency=medium

  * Add back HOME again.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 05 Feb 2020 02:27:41 +0000

orthanc-dicomweb (1.0+dfsg-2ubuntu5) focal; urgency=medium

  * And dget needs curl.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 05 Feb 2020 02:22:09 +0000

orthanc-dicomweb (1.0+dfsg-2ubuntu4) focal; urgency=medium

  * And that is blocked, try dget then.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 05 Feb 2020 02:14:55 +0000

orthanc-dicomweb (1.0+dfsg-2ubuntu3) focal; urgency=medium

  * Add specify HOME directory for pull-lp-source.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 05 Feb 2020 01:58:22 +0000

orthanc-dicomweb (1.0+dfsg-2ubuntu2) focal; urgency=medium

  * No deb-src lines on Ubuntu builders, use pull-lp-source.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 05 Feb 2020 01:47:34 +0000

orthanc-dicomweb (1.0+dfsg-2ubuntu1) focal; urgency=medium

  * Use orthanc from the archive, instead of an embedded tarball.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 05 Feb 2020 01:30:35 +0000

orthanc-dicomweb (1.0+dfsg-2build1) focal; urgency=medium

  * No change rebuild against new boost1.71 ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sun, 02 Feb 2020 20:22:53 +0100

orthanc-dicomweb (1.0+dfsg-2) unstable; urgency=medium

  * Fix FTBFS: linking with gdcm. Closes: #944721
  * Fix FTBFS: use of axios. Closes: #944683
  * Install the "Status.txt" documentation file from upstream.

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Thu, 14 Nov 2019 11:20:16 +0100

orthanc-dicomweb (1.0+dfsg-1) unstable; urgency=medium

  * New upstream version.

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Wed, 31 Jul 2019 15:20:59 +0200

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,31 @@
 Source: orthanc-dicomweb
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Sebastien Jodogne <s.jodogne@gmail.com>,
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
 Build-Depends: cmake,
                debhelper (>= 9),
+               devscripts,
+               curl,
+	       fonts-font-awesome,
+	       libjs-bootstrap4,
                libboost-all-dev,
-               libgdcm2-dev,
+               libgdcm-dev,
                libgtest-dev,
                libjpeg-dev,
                libjs-jquery,
                libjsoncpp-dev,
                libpng-dev,
                libpugixml-dev,
+	       node-axios,
                orthanc-dev (>= 1.1.0),
                unzip,
                uuid-dev,
-               zlib1g-dev
-Standards-Version: 4.3.0.2
+               zlib1g-dev,
+               yui-compressor
+Standards-Version: 4.4.0.1
 Vcs-Browser: https://salsa.debian.org/med-team/orthanc-dicomweb
 Vcs-Git: https://salsa.debian.org/med-team/orthanc-dicomweb.git
 Homepage: https://www.orthanc-server.com/static.php?page=dicomweb

=== debian/rules ===
--- 
+++ 
@@ -12,10 +12,15 @@
 export DEB_CFLAGS_MAINT_APPEND=-DNDEBUG
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
 
+MIRROR=$(shell sed -n 's|.* \(http://[a-z./]*\) .*|\1|p' /etc/apt/sources.list | head -n1)
+FILENAME=$(shell apt-cache show orthanc | grep Filename | cut -d\  -f2 | head -n1 | sed 's|_[a-z0-9]*.deb|.dsc|')
+
 %:
 	dh $@ --parallel --builddirectory=Build
 
 CMAKE_EXTRA_FLAGS += \
+	-DORTHANC_FRAMEWORK_SOURCE=path \
+	-DORTHANC_FRAMEWORK_ROOT=$(CURDIR)/ThirdPartyDownloads/orthanc \
 	-DCMAKE_SKIP_RPATH:BOOL=ON \
 	-DSTATIC_BUILD:BOOL=OFF \
         -DUSE_GOOGLE_TEST_DEBIAN_PACKAGE:BOOL=ON \
@@ -24,7 +29,7 @@
 override_dh_auto_configure:
         # Put 3rd party packages where the cmake build system expects them
 	mkdir -p ThirdPartyDownloads
-	( cd ThirdPartyDownloads; cp ../debian/ThirdPartyDownloads/Orthanc-1.5.5.tar.gz . )
+	( cd ThirdPartyDownloads; apt-get source orthanc || HOME=$(CURDIR)/ThirdPartyDownloads dget --allow-unauthenticated $(MIRROR)/$(FILENAME) ; mv orthanc-* orthanc )
 
         # Place back the jquery library from Debian
 	cp /usr/share/javascript/jquery/jquery.min.js Resources/Samples/JavaScript/jquery.min.js

=== debian/watch ===
version=3
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,downloadurlmangle=s/\/browse\.php\?path=//g,repack,compression=xz" \
https://www.orthanc-server.com/browse.php?path=/plugin-dicom-web downloads/get\.php\?path=/plugin-dicom-web/OrthancDicomWeb-(\d\S*)\.tar\.gz

## orthanc-dicomweb 1.2+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Orthanc - A Lightweight, RESTful DICOM Store
 # Copyright (C) 2012-2016 Sebastien Jodogne, Medical Physics
 # Department, University Hospital of Liege, Belgium
-# Copyright (C) 2017-2019 Osimis S.A., Belgium
+# Copyright (C) 2017-2020 Osimis S.A., Belgium
 #
 # This program is free software: you can redistribute it and/or
 # modify it under the terms of the GNU Affero General Public License
@@ -21,13 +21,13 @@
 
 project(OrthancDicomWeb)
 
-set(ORTHANC_DICOM_WEB_VERSION "1.0")
+set(ORTHANC_DICOM_WEB_VERSION "1.2")
 
 if (ORTHANC_DICOM_WEB_VERSION STREQUAL "mainline")
-  set(ORTHANC_FRAMEWORK_VERSION "mainline")
+  set(ORTHANC_FRAMEWORK_DEFAULT_VERSION "mainline")
   set(ORTHANC_FRAMEWORK_DEFAULT_SOURCE "hg")
 else()
-  set(ORTHANC_FRAMEWORK_VERSION "1.5.7")
+  set(ORTHANC_FRAMEWORK_DEFAULT_VERSION "1.7.0")
   set(ORTHANC_FRAMEWORK_DEFAULT_SOURCE "web")
 endif()
 
@@ -35,14 +35,14 @@
 # Parameters of the build
 set(STATIC_BUILD OFF CACHE BOOL "Static build of the third-party libraries (necessary for Windows)")
 set(ALLOW_DOWNLOADS OFF CACHE BOOL "Allow CMake to download packages")
-set(ORTHANC_FRAMEWORK_SOURCE "${ORTHANC_FRAMEWORK_DEFAULT_SOURCE}" CACHE STRING "Source of the Orthanc source code (can be \"hg\", \"archive\", \"web\" or \"path\")")
+set(ORTHANC_FRAMEWORK_SOURCE "${ORTHANC_FRAMEWORK_DEFAULT_SOURCE}" CACHE STRING "Source of the Orthanc framework (can be \"hg\", \"archive\", \"web\" or \"path\")")
+set(ORTHANC_FRAMEWORK_VERSION "${ORTHANC_FRAMEWORK_DEFAULT_VERSION}" CACHE STRING "Version of the Orthanc framework")
 set(ORTHANC_FRAMEWORK_ARCHIVE "" CACHE STRING "Path to the Orthanc archive, if ORTHANC_FRAMEWORK_SOURCE is \"archive\"")
 set(ORTHANC_FRAMEWORK_ROOT "" CACHE STRING "Path to the Orthanc source directory, if ORTHANC_FRAMEWORK_SOURCE is \"path\"")
 
 # Advanced parameters to fine-tune linking against system libraries
-set(USE_SYSTEM_GDCM ON CACHE BOOL "Use the system version of Grassroot DICOM (GDCM)")
 set(USE_SYSTEM_ORTHANC_SDK ON CACHE BOOL "Use the system version of the Orthanc plugin SDK")
-set(ORTHANC_SDK_VERSION "1.5.7" CACHE STRING "Version of the Orthanc plugin SDK to use, if not using the system version (can be \"1.5.4\", \"1.5.7\", or \"framework\")")
+set(ORTHANC_SDK_VERSION "1.7.0" CACHE STRING "Version of the Orthanc plugin SDK to use, if not using the system version (can be \"1.7.0\", or \"framework\")")
 
 
 set(BUILD_BOOTSTRAP_VUE OFF CACHE BOOL "Compile Bootstrap-Vue from sources")
@@ -59,20 +59,18 @@
 set(ENABLE_LOCALE ON)         # Enable support for locales (notably in Boost)
 set(ENABLE_GOOGLE_TEST ON)
 set(ENABLE_PUGIXML ON)
+set(ENABLE_MODULE_JOBS OFF)
 set(USE_BOOST_ICONV ON)
 
 include(${ORTHANC_ROOT}/Resources/CMake/OrthancFrameworkConfiguration.cmake)
 include_directories(${ORTHANC_ROOT})
 
-include(${CMAKE_SOURCE_DIR}/Resources/CMake/GdcmConfiguration.cmake)
 include(${CMAKE_SOURCE_DIR}/Resources/CMake/JavaScriptLibraries.cmake)
 
 
 if (STATIC_BUILD OR NOT USE_SYSTEM_ORTHANC_SDK)
-  if (ORTHANC_SDK_VERSION STREQUAL "1.5.4")
-    include_directories(${CMAKE_SOURCE_DIR}/Resources/Orthanc/Sdk-1.5.4)
-  elseif (ORTHANC_SDK_VERSION STREQUAL "1.5.7")
-    include_directories(${CMAKE_SOURCE_DIR}/Resources/Orthanc/Sdk-1.5.7)
+  if (ORTHANC_SDK_VERSION STREQUAL "1.7.0")
+    include_directories(${CMAKE_SOURCE_DIR}/Resources/Orthanc/Sdk-1.7.0)
   elseif (ORTHANC_SDK_VERSION STREQUAL "framework")
     include_directories(${ORTHANC_ROOT}/Plugins/Include)
   else()
@@ -144,7 +142,6 @@
 
 set(CORE_SOURCES
   Plugin/Configuration.cpp
-  Plugin/GdcmParsedDicomFile.cpp
 
   ${ORTHANC_ROOT}/Plugins/Samples/Common/OrthancPluginCppWrapper.cpp
   ${ORTHANC_CORE_SOURCES}
@@ -159,11 +156,10 @@
   ${CMAKE_SOURCE_DIR}/Plugin/StowRs.cpp
   ${CMAKE_SOURCE_DIR}/Plugin/WadoRs.cpp
   ${CMAKE_SOURCE_DIR}/Plugin/WadoRsRetrieveFrames.cpp
+  ${CMAKE_SOURCE_DIR}/Plugin/WadoRsRetrieveRendered.cpp
   ${CMAKE_SOURCE_DIR}/Plugin/WadoUri.cpp
   ${AUTOGENERATED_SOURCES}
   )
-
-target_link_libraries(OrthancDicomWeb ${GDCM_LIBRARIES})
 
 message("Setting the version of the library to ${ORTHANC_DICOM_WEB_VERSION}")
 
@@ -188,11 +184,5 @@
   )
 
 target_link_libraries(UnitTests
-  ${GDCM_LIBRARIES}
   ${GOOGLE_TEST_LIBRARIES}
   )
-
-if (STATIC_BUILD OR NOT USE_SYSTEM_GDCM)
-  add_dependencies(OrthancDicomWeb GDCM)
-  add_dependencies(UnitTests GDCM)
-endif()

=== debian/changelog ===
orthanc-dicomweb (1.2+dfsg-2) unstable; urgency=medium

  * Fix FTBFS: fonts-font-awesome has changed install path. Closes: #963277

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Mon, 22 Jun 2020 10:43:53 +0200

orthanc-dicomweb (1.2+dfsg-1) unstable; urgency=medium

  * New upstream version.

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Wed, 27 May 2020 15:21:47 +0200

orthanc-dicomweb (1.1+dfsg-1) unstable; urgency=medium

  * New upstream version.

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Wed, 04 Mar 2020 13:50:33 +0100

=== debian/control ===
Source: orthanc-dicomweb
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Sebastien Jodogne <s.jodogne@gmail.com>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: cmake,
               debhelper (>= 10),
	       fonts-font-awesome,
	       libjs-bootstrap4,
               libboost-all-dev,
               libgtest-dev,
               libjpeg-dev,
               libjs-jquery,
               libjsoncpp-dev,
               libpng-dev,
               libpugixml-dev,
	       node-axios,
               orthanc-dev (>= 1.7.0),
               unzip,
               uuid-dev,
               zlib1g-dev,
               yui-compressor
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/orthanc-dicomweb
Vcs-Git: https://salsa.debian.org/med-team/orthanc-dicomweb.git
Homepage: https://www.orthanc-server.com/static.php?page=dicomweb

Package: orthanc-dicomweb
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         orthanc (>= 1.7.0)
Description: Plugin to extend Orthanc with support of WADO and DICOMweb
 Orthanc DICOMweb is a plugin to Orthanc, the lightweight, RESTful Vendor
 Neutral Archive for medical imaging. It extends the Orthanc core with
 support of the WADO (now known as WADO-URI) and DICOMweb (QIDO-RS,
 STOW-RS, WADO-RS) standards.

=== debian/rules ===
--- 
+++ 
@@ -12,15 +12,10 @@
 export DEB_CFLAGS_MAINT_APPEND=-DNDEBUG
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
 
-MIRROR=$(shell sed -n 's|.* \(http://[a-z./]*\) .*|\1|p' /etc/apt/sources.list | head -n1)
-FILENAME=$(shell apt-cache show orthanc | grep Filename | cut -d\  -f2 | head -n1 | sed 's|_[a-z0-9]*.deb|.dsc|')
-
 %:
-	dh $@ --parallel --builddirectory=Build
+	dh $@ --builddirectory=Build
 
 CMAKE_EXTRA_FLAGS += \
-	-DORTHANC_FRAMEWORK_SOURCE=path \
-	-DORTHANC_FRAMEWORK_ROOT=$(CURDIR)/ThirdPartyDownloads/orthanc \
 	-DCMAKE_SKIP_RPATH:BOOL=ON \
 	-DSTATIC_BUILD:BOOL=OFF \
         -DUSE_GOOGLE_TEST_DEBIAN_PACKAGE:BOOL=ON \
@@ -29,7 +24,7 @@
 override_dh_auto_configure:
         # Put 3rd party packages where the cmake build system expects them
 	mkdir -p ThirdPartyDownloads
-	( cd ThirdPartyDownloads; apt-get source orthanc || HOME=$(CURDIR)/ThirdPartyDownloads dget --allow-unauthenticated $(MIRROR)/$(FILENAME) ; mv orthanc-* orthanc )
+	( cd ThirdPartyDownloads; cp ../debian/ThirdPartyDownloads/Orthanc-1.7.0.tar.gz . )
 
         # Place back the jquery library from Debian
 	cp /usr/share/javascript/jquery/jquery.min.js Resources/Samples/JavaScript/jquery.min.js
